> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List source fields



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json get /agency/source/{id}/fields
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /agency/source/{id}/fields:
    get:
      tags:
        - Source
      summary: List source fields
      parameters:
        - name: id
          in: path
          description: The source ID.
          required: true
          style: simple
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/SourceFieldCollectionDto'
            application/json:
              schema:
                $ref: '#/components/schemas/SourceFieldCollectionDto'
            text/json:
              schema:
                $ref: '#/components/schemas/SourceFieldCollectionDto'
components:
  schemas:
    SourceFieldCollectionDto:
      type: object
      properties:
        contact:
          type: array
          items:
            $ref: '#/components/schemas/SourceFieldDto'
          nullable: true
        location:
          type: array
          items:
            $ref: '#/components/schemas/SourceFieldDto'
          nullable: true
        customValue:
          type: array
          items:
            $ref: '#/components/schemas/SourceFieldDto'
          nullable: true
      additionalProperties: false
    SourceFieldDto:
      type: object
      properties:
        name:
          type: string
          nullable: true
        fieldKey:
          type: string
          nullable: true
        dataType:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````